## GConverterInputstream

GConverterInputstream — Converter Input Stream

## Functions

GInputStream * | g_converter_input_stream_new ()
GConverter * | g_converter_input_stream_get_converter ()

## Properties

GConverter * | converter | Read / Write / Construct Only

## Types and Values

| GConverterInputStream

## Object Hierarchy

        GObject
        ╰── GInputStream
            ╰── GFilterInputStream
                ╰── GConverterInputStream

## Implemented Interfaces

GConverterInputStream implements GPollableInputStream.

## Includes

    #include <gio/gio.h>

## Description

Converter input stream implements GInputStream and allows conversion of data of various types during reading.

As of GLib 2.34, GConverterInputStream implements GPollableInputStream.

## Functions

### g_converter_input_stream_new ()

    GInputStream *
    g_converter_input_stream_new (GInputStream *base_stream,
                                  GConverter *converter);

Creates a new converter input stream for the `base_stream` .

#### Parameters

base_stream | a GInputStream |
converter | a GConverter |

#### Returns

a new GInputStream.

### g_converter_input_stream_get_converter ()

    GConverter *
    g_converter_input_stream_get_converter
                                   (GConverterInputStream *converter_stream);

Gets the GConverter that is used by `converter_stream` .

#### Parameters

converter_stream | a GConverterInputStream |

#### Returns

the converter of the converter input stream.

[transfer none]

Since 2.24

## Types and Values

### GConverterInputStream

    typedef struct _GConverterInputStream GConverterInputStream;

An implementation of GFilterInputStream that allows data conversion.

## Property Details

### The `“converter”` property

      “converter”                GConverter *

The converter object.

Flags: Read / Write / Construct Only

## See Also

GInputStream, GConverter